package com.bwie.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-08 20:10
 */
@FeignClient("bwie-user")
public interface AuthFeign {
    /**
     * 用户名查询
     */
    @PostMapping("/findName")
    public Result<User> findName(@RequestParam String username);
}
