package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Health{
    /*教育ID*/
    private Integer healthId;
    /*标题*/
    private String healthTitle;
    /*内容*/
    private String healthContent;
    /*发布时间*/
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date healthDate;
    /*用户ID*/
    private Integer userId;
    /*逻辑删除ID*/
    private Integer isDele;
    /*用户名*/
    private String username;

    /*分页*/
    private Integer pageNum;
    private Integer pageSize;
}
