package com.bwie.es.controller;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import com.bwie.common.domain.Health;
import com.bwie.common.result.PageResult;
import com.bwie.es.domain.request.HealthRequest;
import com.bwie.es.service.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author: ZhangYao
 * @create: 2023-12-19 20:28
 * @Description:
 */
@RestController
@RequestMapping("/es")
public class EsController{
    @Autowired
    private EsService esService;

    @PostMapping("/esList")
    public PageResult<List<Health>> esList(@RequestBody HealthRequest healthRequest){
        return esService.esList(healthRequest);
    }
}
