package com.bwie.es.feign;

import com.bwie.common.domain.Health;
import com.bwie.common.result.Result;
import com.github.pagehelper.PageInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "bwie-health")
public interface EsFeign{
    @PostMapping("/health/list")
    public Result<PageInfo<Health>> list(@RequestBody Health health);
}
