package com.bwie.es.sync;

import com.bwie.common.result.Result;
import com.bwie.es.feign.EsFeign;
import com.bwie.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author: ZhangYao
 * @create: 2023-12-19 20:31
 * @Description:
 */
@Component
@Log4j2
public class HealthSync{
    @Autowired
    private EsService esService;

    @Autowired
    private EsFeign esFeign;

    @Autowired
    private RestHighLevelClient client;

    @Scheduled(cron = " * * * * * * ")
    public void esHealth(){

    }
}
