package com.bwie.user.controller;

import com.bwie.common.domain.Sign;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.Retri;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author gxb
 * @description TODO
 * @date 2023-12-08 20:05
 */
@RestController
public class UserController {
    @Autowired
    private UserService userService;

    /**
     * 用户名查询
     */
    @PostMapping("/findName")
    public Result<User> findName(@RequestParam String username){
        return userService.findName(username);
    }
    /**
     * 找回密码
     */
    @PostMapping("/Retrieve")
    public Result Retrieve(@RequestBody Retri retri){
        return userService.Retrieve(retri);
    }
//    /**
//     * 修改密码
//     */
    @PostMapping("/updPwd")
    public Result updPwd(@RequestParam String userPwd){
        return userService.updPwd(userPwd);
    }
//    /**
//     * 注册
//     */
    @PostMapping("/sign")
    public Result sign(@RequestBody Sign sign){
        return userService.sign(sign);
    }
//    /**
//     * 管理员管理
//     */
    @GetMapping("/Role")
    public Result Role(){
        return userService.Role();
    }
//    /**
//     * 管理员添加
//     */
    @PostMapping("/Irole")
    public Result Irole(@RequestParam Integer num){
        if (2==num){
            return  Result.success(200,"暂未升级管理员");
        }
        return userService.Irole();
    }
}