package com.bwie.trees.controller;

import com.bwie.common.domain.Trees;
import com.bwie.common.result.Result;
import com.bwie.trees.service.TreesService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Log4j2
@RequestMapping("/tress")
public class TreesController{
    @Autowired
    private TreesService treesService;
    @Autowired
    private HttpServletRequest request;
    @PostMapping("/selectOne")
    public Result<List<Trees>> Select(){
        return treesService.treesSelect();
    }
//    @PostMapping("/SelectOne")
//    public Result<List<Trees>> SelectOne(){
//        return treesService.treesSelectOne();
//    }
    @PostMapping("/selectTwo")
    public Result<List<Trees>> SelectTwo(){
        return treesService.treesSelectTwo();
    }
}
